Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"bcdbad40-1db2-45e9-b937-2c290cfa9b02","url":null,"userId":"4966ef9d-2c1d-40fc-88b4-0785f0d8c685","userUrl":null,"categoryId":"faf5d075-79c3-44d6-acfc-9934fa959392","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-25T06:18:12.030623+00:00","lastModifiedDateTime":"2026-10-26T02:18:12.030623+00:00","availableFrom":"2026-10-26T06:18:12","startDateTimeZone":null,"availableUntil":"2026-10-27T06:18:12","endDateTimeZone":null,"medias":[{"id":"c71a463b-d760-4ee3-aaa8-1dddeb8fac38","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"fcdff19d-0f20-4d84-a1cd-2be78d3aa7f3","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"411974e2-f4bb-4eba-88e2-35cdd92e709a","url":null},{"type":"Department","name":"Department name example","id":"5f3b14b3-eede-46cf-82df-2aa44612177e","url":null},{"type":"User group","name":"User group name example","id":"cb8facec-1fba-448d-82c5-9429f004a014","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"487e432f-e963-4f1a-a6d8-699d80725f37"}],"userGroups":[{"url":null,"name":"User group name example","id":"d49332f6-dfff-4b56-af78-3f816b41f48e"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string